Extending Qt Creator Manual | SelectableFilesWidget

Extending Qt Creator Manual 4.5.2

# SelectableFilesWidget Class

(ProjectExplorer::SelectableFilesWidget)

- List of all members, including inherited members

## Public Functions

| SelectableFilesWidget(QWidget *parent = nullptr)
| SelectableFilesWidget(const Utils::FileName &path, const Utils::FileNameList &files, QWidget *parent = nullptr)
void | cancelParsing()
bool | hasFilesSelected() const
void | resetModel(const Utils::FileName &path, const Utils::FileNameList &files)
Utils::FileNameList | selectedFiles() const
Utils::FileNameList | selectedPaths() const
void | setAddFileFilter(const QString &filter)
void | setBaseDirEditable(bool edit)

## Signals

void | selectedFilesChanged()

## Member Function Documentation

### SelectableFilesWidget::SelectableFilesWidget(QWidget *parent = nullptr)

Default constructs an instance of SelectableFilesWidget.

### SelectableFilesWidget::SelectableFilesWidget(const Utils::FileName &path, const Utils::FileNameList &files, QWidget *parent = nullptr)

Default constructs an instance of SelectableFilesWidget.

### void SelectableFilesWidget::cancelParsing()

### bool SelectableFilesWidget::hasFilesSelected() const

### void SelectableFilesWidget::resetModel(const Utils::FileName &path, const Utils::FileNameList &files)

### Utils::FileNameList SelectableFilesWidget::selectedFiles() const

### `[signal]` void SelectableFilesWidget::selectedFilesChanged()

### Utils::FileNameList SelectableFilesWidget::selectedPaths() const

### void SelectableFilesWidget::setAddFileFilter(const QString &filter)

### void SelectableFilesWidget::setBaseDirEditable(bool edit)